Bug 103804 - gnome-terminal segfault/command execution (?)
gnome-terminal segfault/command execution (?)
Status: CLOSED DUPLICATE of bug 123521
Product: Red Hat Raw Hide
Classification: Retired
Component: vte (Show other bugs)
1.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-05 02:29 EDT by Warren Togami
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:58:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-09-05 02:29:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
http://togami.com/~warren/archive/2003/gnome-terminal-bugcase
Save this file locally, and within gnome-terminal run "cat
gnome-terminal-bugcase".  It segfaulted on me once, otherwise it causes the
gnome-terminal window to resize, puts garbage in the title, and types "xterm" in
the terminal when you hit enter again.

http://togami.com/~warren/archive/2003/gnome-terminal-shot1.png
Garbage in title

http://togami.com/~warren/archive/2003/gnome-terminal-shot2.png
Runs xterm

Maybe not security vulnerability, but keeping it closed just in case.

Version-Release number of selected component (if applicable):
gnome-terminal-2.3.2-1
vte-0.11.10-2
Comment 1 Rik van Riel 2004-01-14 15:44:57 EST
in RHEL3,  with vte-0.11.10-3, this test file:
- puts junk in the display
- puts a different title in the titlebar
- resizes the terminal
- starts xterm

However, things don't crash and running "reset" makes the terminal
just fine again.
Comment 2 Ray Strode [halfline] 2004-06-17 18:20:15 EDT

*** This bug has been marked as a duplicate of 123521 ***
Comment 3 Red Hat Bugzilla 2006-02-21 13:58:28 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.